audacity(1)

NAME
audacity - Graphical cross-platform audio editor

SYNOPSIS
audacity -help
audacity -version
audacity [-blocksize nnn] -test
audacity [-blocksize nnn] [ AUDIO-FILE ] ...

DESCRIPTION
Audacity is a graphical audio editor. This man page does not describe all of the features of Audacity or how to use it; for this, see the html documentation that came with the program, which should be accessible from the Help menu. This man page describes the Unix-specific features, including special files and environment variables. Audacity currently uses libsndfile to open many uncompressed audio formats such as WAV, AIFF, and AU, and it can also be linked to libmad, libvorbis, and libflac, to provide support for opening MP2/3, Ogg Vorbis, and FLAC files, respectively. LAME, libvorbis, libflac and libtwolame provide facilities to export files to all these formats as well. Audacity is primarily an interactive, graphical editor, not a batch-processing tool. Whilst there is a basic batch processing tool it is experimental and incomplete. If you need to batch-process audio or do simple edits from the command line, using sox or ecasound driven by a bash script will be much more powerful than audacity.

OPTIONS

-help
    display a brief list of command line options

-version
    display the audacity version number

-test
    run self diagnostics tests (only present in development builds)

-blocksize nnn
    set the audacity block size for writing files to disk to nnn bytes

FILES
~/.audacity-data/audacity.cfg
    Per user configuration file.
/tmp/audacity-<user>/
    Default location of Audacity's temp directory, where <user> is your username. If this location is not suitable (not enough space in /tmp, for example), you should change the temp directory in the Preferences and restart Audacity. Audacity is a disk-based editor, so the temp directory is very important: it should always be on a fast disk with lots of free space. Note that older versions of Audacity put the temp directory inside of the user's home directory. This is undesirable on many systems, and using some directory in /tmp is recommended. Open the Preferences to check.

SEARCH PATH
When looking for plug-ins, help files, localization files, or other configuration files, Audacity searches the following locations, in this order: AUDACITY_PATH
    Any directories in the AUDACITY_PATH environment variable will be searched before anywhere else.
.
    The current working directory when Audacity is started.
~/.audacity-files <prefix>/share/audacity
    The system-wide Audacity directory, where <prefix> is usually /usr or /usr/local, depending on where the program was installed.
<prefix>/share/doc/audacity
    The system-wide Audacity documentation directory, where <prefix> is usually /usr or /usr/local, depending on where the program was installed.
For localization files in particular (i.e. translations of Audacity into other languages), Audacity also searches <prefix>/share/locale

PLUG-INS
Audacity supports two types of plug-ins on Unix: LADSPA and Nyquist plug-ins. These are generally placed in a directory called plug-ins somewhere on the search path (see above). LADSPA plug-ins can either be in the plug-ins directory, or alternatively in a ladspa directory on the search path if you choose to create one. Audacity will also search the directories in the LADSPA_PATH environment variable for additional LADSPA plug-ins. Nyquist plug-ins can either be in the plug-ins directory, or alternatively in a nyquist directory on the search path if you choose to create one.

VERSION
This man page documents audacity version 1.3.5

LICENSE
Audacity is distributed under the GPL, however some of the libraries it links to are distributed under other free licenses, including the LGPL and BSD licenses.

BUGS
For details of known problems, see the release notes and the audacity wiki:
http://www.audacityteam.org/wiki/index.php?title=Known_Issues To report a bug, see the instructions at
http://www.audacityteam.org/wiki/index.php?title=Reporting_Bugs

AUTHORS
Project leaders include Dominic Mazzoni, Matt Brubeck, James Crook, Vaughan Johnson, Leland Lucius, and Markus Meyer, but dozens of others have contributed, and Audacity would not be possible without wxWindows, libsndfile, and many of the other libraries it is built upon. For the most recent list of contributors and current email addresses, see our website: http://audacity.sourceforge.net/about/credits/